"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("@pnpm/constants");
const error_1 = require("@pnpm/error");
class LockfileMissingDependencyError extends error_1.default {
    constructor(depPath) {
        const message = `Broken lockfile: no entry for '${depPath}' in ${constants_1.WANTED_LOCKFILE}`;
        super('LOCKFILE_MISSING_DEPENDENCY', message, {
            hint: 'This issue is probably caused by a badly resolved merge conflict.\n' +
                'To fix the lockfile, run \'pnpm install --no-frozen-lockfile\'.',
        });
    }
}
exports.default = LockfileMissingDependencyError;
//# sourceMappingURL=LockfileMissingDependencyError.js.map